org.apache.storm.generated

## Class DistributedRPC.Processor.execute<I extends DistributedRPC.Iface>

- java.lang.Object
- - org.apache.storm.thrift.ProcessFunction<I,DistributedRPC.execute_args>
  - - org.apache.storm.generated.DistributedRPC.Processor.execute<I>

- Enclosing class:
    DistributedRPC.Processor<I extends DistributedRPC.Iface>

      public static class DistributedRPC.Processor.execute<I extends DistributedRPC.Iface>
      extends org.apache.storm.thrift.ProcessFunction<I,DistributedRPC.execute_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `execute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DistributedRPC.execute_args` | `getEmptyArgsInstance()`
    `DistributedRPC.execute_result` | `getResult(I iface, DistributedRPC.execute_args args)`
    `protected boolean` | `isOneway()`
    `protected boolean` | `rethrowUnhandledExceptions()`

    - ### Methods inherited from class org.apache.storm.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### execute

          public execute()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public DistributedRPC.execute_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.storm.thrift.ProcessFunction<I extends DistributedRPC.Iface,DistributedRPC.execute_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.storm.thrift.ProcessFunction<I extends DistributedRPC.Iface,DistributedRPC.execute_args>`

    - #### rethrowUnhandledExceptions

          protected boolean rethrowUnhandledExceptions()

      Overrides:
        `rethrowUnhandledExceptions` in class `org.apache.storm.thrift.ProcessFunction<I extends DistributedRPC.Iface,DistributedRPC.execute_args>`

    - #### getResult

          public DistributedRPC.execute_result getResult(I iface,
                                                         DistributedRPC.execute_args args)
                                                  throws org.apache.storm.thrift.TException

      Specified by:
        `getResult` in class `org.apache.storm.thrift.ProcessFunction<I extends DistributedRPC.Iface,DistributedRPC.execute_args>`
      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.